#pragma once
#include "PPgGeneral.h"
#include "PPgConnection.h"
#include "PPgServer.h"
#include "PPgDirectories.h"
#include "PPgFiles.h"
#include "PPgStats.h"
#include "PPgNotify.h"
#include "PPgIRC.h"
#include "PPgTweaks.h"
#include "PPgDisplay.h"
#include "PPgSecurity.h"
#include "PPgWebServer.h"
#include "PPgScheduler.h"
//#include "PPgProxy.h"
#include "PPgAckronic.h"//Ackronic - Aggiunto da Aenarion[ITA] - finestra Ack
#include "PPgAckronicII.h"//Ackronic - Aggiunto da Aenarion[ITA] - 2° finestra Ack
#include "PPgAckronicIII.h"//Ackronic - Aggiunto da Aenarion[ITA] - 3° finestra Ack
#if defined(_DEBUG) || defined(USE_DEBUG_DEVICE)
#include "PPgDebug.h"
#endif
#include "otherfunctions.h"
#include "TreePropSheet.h"
#include "Mod\KCSideBannerWnd.h"//Ackronic - Aggiunto da Aenarion[ITA] - Banner

class CPreferencesDlg : public CTreePropSheet
{
	DECLARE_DYNAMIC(CPreferencesDlg)

public:
	CPreferencesDlg();
	virtual ~CPreferencesDlg();
	
	CPPgGeneral		m_wndGeneral;
	CPPgConnection	m_wndConnection;
	CPPgServer		m_wndServer;
	CPPgDirectories	m_wndDirectories;
	CPPgFiles		m_wndFiles;
	CPPgStats		m_wndStats;
	CPPgNotify		m_wndNotify;
	CPPgIRC			m_wndIRC;
	CPPgTweaks		m_wndTweaks;
	CPPgDisplay		m_wndDisplay;
	CPPgSecurity	m_wndSecurity;
	CPPgWebServer	m_wndWebServer;
	CPPgScheduler	m_wndScheduler;
	//CPPgProxy		m_wndProxy;
	CPPgAckronic	m_wndAckronic;//Ackronic - Aggiunto da Aenarion[ITA] - finestra Ack
	CPPgAckronicII	m_wndAckronicII;//Ackronic - Aggiunto da Aenarion[ITA] - 2° finestra Ack
	CPPgAckronicIII	m_wndAckronicIII;//Ackronic - Aggiunto da Aenarion[ITA] - 3° finestra Ack
#if defined(_DEBUG) || defined(USE_DEBUG_DEVICE)
	CPPgDebug		m_wndDebug;
#endif

	void Localize();
	void SetStartPage(UINT uStartPageID);

protected:
	LPCTSTR m_pPshStartPage;
	bool m_bSaveIniFile;

	virtual BOOL OnInitDialog();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
	afx_msg void OnDestroy();
	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	CKCSideBannerWnd m_banner;//Ackronic - Aggiunto da Aenarion[ITA] - Banner
};
